Skip to main content
PATCH
Edit brand kit library details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_kit_id
string
required

Body

application/json

Edit the library label or selected uploaded logo; provider data is read-only.

name
string | null
Required string length: 1 - 255
logo_asset_id
string | null
Maximum string length: 64

Response

Successful Response

id
string
required

Unique brand kit id.

Example:

"bk_01J8QR2K5VKDGN2T4FBM3CZYX7"

workspace_id
string
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
kind
enum<string>
default:extracted
Available options:
workspace,
extracted
colors
string[]

Editor swatches: manual colours followed by native colours, shades and action visuals.

manual_colors
string[]

User-added swatches; at most 64.

design_system
Design System · object | null
artifacts
Artifacts · object
logo_asset_id
string | null
extraction
BrandExtractionOut · object | null
source_url
string | null

URL the kit was extracted from.

assets
MediaAssetOut · object[]
brand_fonts
BrandFontOut · object[]